package edu.umd.dawn.common.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * Location entity
 */
@Data
@Builder
@Deprecated
public class Location {

    @Field("id")
    @NotEmpty
    private String id;

    @NotNull
    private Double latitude;

    @NotNull
    private Double longitude;

    @NotEmpty
    private String address;

    @Field("display_name")
    @JsonProperty("display_name")
    private String displayName;
}
